IAR Embedded Workbench compatibility checks

Technical Note 77279



3/4/2015 1:45 PM


The following alert:

The file <installation directory>\<target>\bin\swtd___.dll is not compatible with this platform version - corrupt installation?

...is shown when there are strong reasons to suspect a corrupt installation.


Beginning with "IAR Embedded Workbench common components" version 7.2 (platform version), checks have been added to detect if multiple IAR Embedded Workbench targets (ARM, MSP430, AVR etc) are compatible with each other. If an incompatible version is detected, the IDE will not "load" it, but instead issue the warning message above.


Use the reference to <target> and <name of the dll> in order to understand which <target> or <targets> that must be uninstalled, and reinstalled.

Please note - It is strongly recommended to do the reinstallations in new directories, separated from the old corrupted installation tree.

Further background

Note that the IAR Embedded Workbench installer tools tries to prohibit/warn about this problem, but they cannot prevent a corrupt installation/copy to be performed on the computer.


All product names are trademarks or registered trademarks of their respective owners.

Related Tech Notes

© IAR Systems 1995-2016 - All rights reserved.